'use strict';

var ConstrucaoController = angular.module('ConstrucaoController', []);

ConstrucaoController.controller('ConstrucaoCtrl', ['$scope', '$location', 'Construcao', 'Relatorio', 'Material', 'CacheApp',
  ($scope, $location, Construcao, Relatorio, Material, CacheApp) => {

    $scope.sessao = CacheApp.getSessao();

    CacheApp.delMaterial();
    CacheApp.delNotaFiscal();
    CacheApp.delComposicao();

    $scope.opcaoFluxoCaixa = 8;
    $scope.showDashboar = {
        Orcamento: true,
        Financeiro: true,
        Compras: true,
        RDO: true,
        Cronograma: true,
        Medicao: true
    }

    // $scope.getResumoMedicao = (construcao) => {
    //     Relatorio.getResumoMedicao(construcao.Id,
    //     (data) => {
    //         $scope.retornoMedicao = true;
    //         $scope.resumoMedicao = data.Instance;
    //     });
    // }

    // $scope.getDashboarOcorrencias = (construcao) => {
    //     Relatorio.getDashboarOcorrencias(construcao.Id,
    //     (data) => {
    //         $scope.retornoOcorrencia = true;
    //         $scope.listaOcorrencia = data.Instance;
    //     });
    // }

    $scope.getFisicoFinanceiro = (construcao) => {
        $scope.fisicoFinanceiro = {};

        var plota = {
            type: 'line',
            objName: 'line-fisico-financeiro',
            showLegend: true,
            showYAxes: true,
            showXAxes: true,
            labels: [],
            dataSet:[]
        };
        
        var lineCronograma = {
            label: 'Cronograma',
            type: 'line',
            borderColor: 'rgba(38,49,67,0.9)',
            backgroundColor: 'rgba(38,49,67,0.2)',
            showYAxes: true,
            showXAxes: true,
            data: []
        }
        
        var lineFisico = {
            label: 'Físico',
            type: 'line',
            borderColor: 'rgba(250,162,0,0.9)',
            backgroundColor: 'rgba(250,162,0,0.2)',
            data: []
        }

        Relatorio.getCronogramaFisicoFinanceiro(construcao.Id,
            (dataCronog) => {
                $scope.retornoCronograma = true
                $scope.showDashboar.Cronograma = dataCronog.Instance.length > 0

                dataCronog.Instance.forEach((c,i) => {
                    plota.labels.push(i+1);
                    lineCronograma.data.push(c.Acum);
                })

                plota.dataSet.push(lineCronograma);

                var planoFisico = construcao.Acessos ? construcao.Acessos.indexOf('GET_AVANCO') >= 0 : false;

                if (planoFisico)
                    Relatorio.getFisicoFinanceiro(construcao.Id, construcao.DataInicio, construcao.DataInicio,
                        (dataFisico) => {
                            dataFisico.Instance.forEach((f,i) => {
                                lineFisico.data.push(f.Fisico);
                                if (i >= lineCronograma.data.length)
                                    plota.labels.push(i+1);
                            })

                            plota.dataSet.push(lineFisico);
                            $scope.plotaChart(plota);
                        }
                    );
                else {
                    $scope.plotaChart(plota);
                }

            });

    }

    $scope.getOrcamento = (construcao) => {

        if (construcao.ValorBDIEncargos > 0) {
            $scope.showDashboar.Orcamento = true;
            var plota = {
                type: 'bar',
                // options: $scope.getOptionsLine('', true),
                objName: 'bar-tipoinsumo',
                titulo: 'Orçado por tipo de insumo',
                showLegend: false,
                showYAxes: true,
                showXAxes: true,
                labels: [],
                dataSet: []
            };
    
            plota.dataSet = [{
                borderColor: [
                    'rgba(38, 49, 67, 0.9)',
                    'rgba(60, 118, 61, 0.9)',
                    'rgba(138, 109, 59, 0.9)',
                    'rgba(51, 122, 183, 0.9)',
                    'rgba(255, 68, 68, 0.9)'
                ],
                backgroundColor: [
                    'rgba(38, 49, 67, 0.9)',
                    'rgba(60, 118, 61, 0.9)',
                    'rgba(138, 109, 59, 0.9)',
                    'rgba(51, 122, 183, 0.9)',
                    'rgba(255, 68, 68, 0.9)'
                ],
                borderWidth: 0.5,
                data: [
                    construcao.ValorBDIEncargosMDO,
                    construcao.ValorBDIMAT,
                    construcao.ValorBDIEQU,
                    construcao.ValorBDISER,
                    construcao.ValorBDITAX
                ]
            }];

            plota.labels = [
                'Mão-de-obra',
                'Material',
                'Equipamento',
                'Serviço',
                'Taxa'
            ];

            $scope.plotaChart(plota);

            var lineEtapa = {
                label: 'Etapa',
                borderColor: 'rgba(38, 49, 67, 0.9)',
                backgroundColor: 'rgba(38, 49, 67, 0.9)',
                data: [],
                type: 'bar',
            }

            var plota1 = {
                type: 'bar',
                objName: 'bar-orcamento',
                titulo: 'Orçado por etapa',
                showLegend: false,
                showYAxes: true,
                showXAxes: true,
                labels: [],
                dataSet: [lineEtapa]
            };

            Relatorio.getOrcamentoBDIExplicitoSintetico($scope.construcao.Id,
                (data) => {
                    $scope.retornoOrcamento = true
                    $scope.listaEtapa = data.Instance.Etapas;
                    $scope.listaEtapa.forEach(l => {
                        plota1.labels.push(l.Etapa.substring(0,10) + (l.Etapa.length >10 ? '...' : '' ))
                        lineEtapa.data.push(l.ValorBDIEncargos);
                    })

                    while (lineEtapa.data.length < 10) {
                        plota1.labels.push('');
                        lineEtapa.data.push(0)
                    }
    
                    $scope.plotaChart(plota1);
                    $scope.getCustoEtapa();
                    $scope.getMedicaoEtapa();
                });
        }
        else {
            $scope.retornoOrcamento = true
            $scope.retornoMedicao = true
            $scope.showDashboar.Orcamento = false
            $scope.showDashboar.Medicao = false
        }
    }

    $scope.getCreditoDebitoObra = (construcao) => {
        if (construcao.ValorGastoBase > 0) {
            $scope.showDashboar.Financeiro = true
            Construcao.getCreditoDebitoObra(construcao.Id, $scope.opcaoFluxoCaixa ? $scope.opcaoFluxoCaixa : 8,
                (data) => {
                    $scope.retornoFinanceiro = true;
                    var lineDebito = {
                        label: 'Custo',
                        borderColor: 'rgba(220,0,0,0.9)',
                        backgroundColor: 'rgba(220,0,0,0.9)',
                        data: []
                    }
                    
                    var lineCredito = {
                        label: 'Receita',
                        borderColor: 'rgba(38,49,67,0.9)',
                        backgroundColor: 'rgba(38,49,67,0.9)',
                        data: []
                    }

                    var lineSaldo = {
                        label: 'Saldo',
                        borderColor: 'rgba(250,162,0,1)',
                        backgroundColor: 'rgba(250,162,0,0.1)',
                        data: [],
                        type: 'line',
                        fill: false,
                        lineTension: 0
                    }

                    var plota = {
                        type: 'bar',
                        objName: 'bar-financeiro',
                        titulo: 'Fluxo de caixa por mês',
                        showLegend: true,
                        showYAxes: true,
                        showXAxes: true,
                        stackedBar: true,
                        labels: [],
                        dataSet:[lineDebito, lineCredito, lineSaldo]
                    };

                    data.Instance.forEach(l => {
                        plota.labels.push(l.Periodo);
                        lineDebito.data.push(l.Debito);
                        lineCredito.data.push(l.Credito);
                        lineSaldo.data.push(l.Saldo);
                    });

                    while (lineDebito.data.length < 10) {
                        plota.labels.push('');
                        lineDebito.data.push(0)
                    }
                    while (lineCredito.data.length < 10) {
                        lineCredito.data.push(0)
                    }
                        
                    $scope.plotaChart(plota);
                }
            );
        } else {
            $scope.retornoFinanceiro = true
            $scope.showDashboar.Financeiro = false
        }
    }

    $scope.getConstrucao = () => {
        var construcao = CacheApp.getConstrucao();
        var params = { 
            Tipo: 1, 
            IdClienteAdmin: $scope.sessao.ContaAdmin ? $scope.sessao.IdClienteAdmin : undefined,
            IdConstrucao: construcao.Id
        }
        Construcao.getConstrucoes(params,
        (data) => {
            construcao = data.Instance[0];
            CacheApp.setConstrucao(construcao);
            $scope.AtualizaConstrucao();

            var datanow = $scope.construcao.DataFinalizada ? new Date($scope.construcao.DataFinalizada) : Date.now();

            $scope.construcao.diasDeObra = Math.ceil((Math.abs(new Date($scope.construcao.DataInicio) - new Date($scope.construcao.DataFim))) / (1000 * 3600 * 24));

            if (datanow < new Date($scope.construcao.DataInicio)) {
                $scope.construcao.dias = Math.ceil((Math.abs(new Date($scope.construcao.DataInicio) - new Date($scope.construcao.DataFim))) / (1000 * 3600 * 24));
            }
                // Bug Cliente
            else if (datanow < new Date($scope.construcao.DataFim)) {
                $scope.construcao.dias = Math.ceil((Math.abs(datanow - new Date($scope.construcao.DataFim))) / (1000 * 3600 * 24));
                $scope.construcao.atrasado = false;
            }
            else {
                $scope.construcao.dias = Math.ceil((Math.abs(new Date($scope.construcao.DataFim) - datanow)) / (1000 * 3600 * 24));
                $scope.construcao.atrasado = true;
            }

            var temCronograma = construcao.Acessos ? construcao.Acessos.indexOf('GET_PLANEJAR') >= 0 : false;
            var temFinanceiro = construcao.Acessos ? construcao.Acessos.indexOf('GET_FINANCEIRO') >= 0 : false;
            var temCompras = construcao.Acessos ? construcao.Acessos.indexOf('GET_COMPRA_SOLICITACAO') >= 0 : false;
            var temRDO = construcao.Acessos ? construcao.Acessos.indexOf('GET_DIARIOOBRA') >= 0 : false;

            $scope.getOrcamento($scope.construcao);

            if (temCronograma)
                $scope.getFisicoFinanceiro(construcao);

            if (temFinanceiro) {
                $scope.getCreditoDebitoObra(construcao);
                $scope.getHistogramaCusto();
                $scope.getCustoCategoria();
                $scope.getCurvaAbcFornecedor();
            }
            if (temCompras)
                $scope.getResumoCompras();
            if (temRDO) {
                $scope.getResumoRDO();
                $scope.getResumoTempo();
            }
        });
    }
    $scope.getConstrucao();

    $scope.detalheDashboard = (path) => {
        $location.path('/' + path);
    }

    $scope.getHistogramaCusto = () => {
        var params = {
            IdConstrucao: $scope.construcao.Id,
            Periodo: $scope.opcaoFluxoCaixa ? $scope.opcaoFluxoCaixa : 8
        }
        Relatorio.getHistogramaAcumulado(params,
            (data) => {
                var lineDebito = {
                    label: 'Custo mensal',
                    borderColor: 'rgba(220,0,0,0.9)',
                    backgroundColor: 'rgba(220,0,0,0.9)',
                    data: []
                }
                
                var lineAcumulado = {
                    label: 'Acumulado',
                    borderColor: 'rgba(220,0,0,0.9)',
                    backgroundColor: 'rgba(220,0,0,0.9)',
                    data: [],
                }

                var plota1 = {
                    type: 'bar',
                    objName: 'bar-histograma',
                    titulo: 'Custo por mês',
                    showLegend: false,
                    showYAxes: true,
                    showXAxes: true,
                    // stackedBar: true,
                    labels: [],
                    dataSet:[lineDebito]
                };

                var plota2 = {
                    type: 'bar',
                    objName: 'bar-histogramaacum',
                    titulo: 'Custo acumulado',
                    showLegend: false,
                    showYAxes: true,
                    showXAxes: true,
                    // stackedBar: true,
                    labels: [],
                    dataSet:[lineAcumulado]
                };

                data.Instance.forEach(l => {
                    plota1.labels.push(l.Periodo);
                    plota2.labels.push(l.Periodo);
                    lineDebito.data.push(l.Valor);
                    lineAcumulado.data.push(l.ValorAcum);
                });

                while (lineDebito.data.length < 10) {
                    plota1.labels.push('');
                    lineDebito.data.push(0)
                }
                while (lineAcumulado.data.length < 10) {
                    plota2.labels.push('');
                    lineAcumulado.data.push(0)
                }

                $scope.plotaChart(plota1);
                $scope.plotaChart(plota2);
            });
    }

    $scope.getCustoCategoria = () => {
        var params = {
            IdConstrucao: $scope.construcao.Id
        }
        Relatorio.getCustoCategoria(params,
            (data) => {
                var lineCategoria = {
                    label: 'Categoria',
                    borderColor: 'rgba(220,0,0,0.9)',
                    backgroundColor: 'rgba(220,0,0,0.9)',
                    data: []
                }
                
                var plota = {
                    type: 'horizontalBar',
                    objName: 'bar-custocategoria',
                    titulo: 'Custo por categoria',
                    showLegend: false,
                    showYAxes: true,
                    showXAxes: true,
                    // stackedBar: true,
                    labels: [],
                    dataSet:[lineCategoria]
                };

                data.Instance.forEach(l => {
                    plota.labels.push(l.Categoria.substring(0,15) + (l.Categoria.length >15 ? '...' : '' ));
                    lineCategoria.data.push(l.Valor);
                });

                while (lineCategoria.data.length < 10) {
                    plota.labels.push('');
                    lineCategoria.data.push(0)
                }
                
                $scope.plotaChart(plota);
            });
    }

    $scope.getCustoEtapa = () => {
        var params = {
            IdConstrucao: $scope.construcao.Id
        }
        Relatorio.getCustoEtapa(params,
            (data) => {
                var lineOrcado = {
                    label: 'Orçado',
                    borderColor: 'rgba(38, 49, 67, 0.9)',
                    backgroundColor: 'rgba(38, 49, 67, 0.9)',
                    data: [],
                }

                var lineEtapa = {
                    label: 'Realizado',
                    borderColor: 'rgba(220,0,0,0.9)',
                    backgroundColor: 'rgba(220,0,0,0.9)',
                    data: []
                }
                
                var plota = {
                    type: 'bar',
                    objName: 'bar-custoetapa',
                    titulo: 'Orçado x Realizado',
                    showLegend: true,
                    showYAxes: true,
                    showXAxes: true,
                    // stackedBar: true,
                    labels: [],
                    dataSet:[lineOrcado,lineEtapa]
                };

                var listaCusto = []
                
                data.Instance.filter(c => !$scope.listaEtapa.some(l => l.Etapa == c.Etapa) ).forEach(c => {
                    listaCusto.push(c);
                })

                $scope.listaEtapa.forEach(e => {
                    var etapaCusto = data.Instance.filter(c => c.Etapa == e.Etapa)[0]
                    e.ValorEtapa = etapaCusto ? etapaCusto.ValorEtapa : 0;
                    listaCusto.push(e);
                })

                listaCusto.forEach(l => {
                    plota.labels.push(l.Etapa.substring(0,10) + (l.Etapa.length > 10 ? '...' : '' ));
                    lineEtapa.data.push(l.ValorEtapa);
                    lineOrcado.data.push(l.ValorBDIEncargos);
                });

                while (lineEtapa.data.length < 10) {
                    plota.labels.push('');
                    lineEtapa.data.push(0)
                    lineOrcado.data.push(0);
                }
                
                $scope.plotaChart(plota);
            });
    }

    $scope.getResumoCompras = () => {
        var lineCompra = {
            label: 'Compras',
            borderColor: 'rgba(38, 49, 67, 0.9)',
            backgroundColor: 'rgba(38, 49, 67, 0.9)',
            data: [],
            type: 'bar',
        }

        var plota = {
            type: 'bar',
            objName: 'bar-compras',
            titulo: 'Situação de compras',
            showLegend: false,
            showYAxes: true,
            showXAxes: true,
            labels: [],
            dataSet: [lineCompra]
        };

        Relatorio.getResumoCompras({IdConstrucao: $scope.construcao.Id},
            (data) => {
                $scope.retornoCompras = true
                $scope.showDashboar.Compras = data.Instance.length > 0
                data.Instance.forEach(l => {
                    plota.labels.push(l.Nome)
                    lineCompra.data.push(l.Qtd);
                })

                while (lineCompra.data.length < 6) {
                    plota.labels.push('');
                    lineCompra.data.push(0)
                }

                $scope.plotaChart(plota);
            });

    }

    $scope.getResumoRDO = () => {
        // $scope.histogramaCusto = {};
        var params = {
            IdConstrucao: $scope.construcao.Id,
            Periodo: $scope.opcaoFluxoCaixa ? $scope.opcaoFluxoCaixa : 8
        }
        Relatorio.getResumoRDO(params,
            (data) => {
                $scope.retornoRDO = true;
                $scope.showDashboar.RDO = data.Instance.length > 0
                var lineServico = {
                    label: 'Serviços',
                    borderColor: 'rgba(51, 122, 183, 0.9)',
                    backgroundColor: 'rgba(51, 122, 183, 0.9)',
                    data: []
                }
                
                var lineEquipamento = {
                    label: 'Equipamentos',
                    borderColor: 'rgba(138, 109, 59, 0.9)',
                    backgroundColor: 'rgba(138, 109, 59, 0.9)',
                    data: [],
                }

                var lineOcorrencia = {
                    label: 'Ocorrências',
                    borderColor: 'rgba(38, 49, 67, 0.9)',
                    backgroundColor: 'rgba(38, 49, 67, 0.9)',
                    data: [],
                }

                var plota1 = {
                    type: 'bar',
                    objName: 'bar-rdoservico',
                    titulo: 'Serviços realizados',
                    showLegend: false,
                    showYAxes: true,
                    showXAxes: true,
                    // stackedBar: true,
                    labels: [],
                    dataSet:[lineServico]
                };

                var plota2 = {
                    type: 'bar',
                    objName: 'bar-rdoequipamento',
                    titulo: 'Equipamentos utilizados',
                    showLegend: false,
                    showYAxes: true,
                    showXAxes: true,
                    // stackedBar: true,
                    labels: [],
                    dataSet:[lineEquipamento]
                };

                var plota3 = {
                    type: 'bar',
                    objName: 'bar-rdoocorrencia',
                    titulo: 'Ocorrências registradas',
                    showLegend: false,
                    showYAxes: true,
                    showXAxes: true,
                    // stackedBar: true,
                    labels: [],
                    dataSet:[lineOcorrencia]
                };

                data.Instance.forEach(l => {
                    plota1.labels.push(l.Periodo);
                    plota2.labels.push(l.Periodo);
                    plota3.labels.push(l.Periodo);
                    lineServico.data.push(l.QtdSer);
                    lineEquipamento.data.push(l.QtdEqu);
                    lineOcorrencia.data.push(l.QtdOco);
                });

                while (lineServico.data.length < 10) {
                    plota1.labels.push('');
                    lineServico.data.push(0)
                }
                while (lineEquipamento.data.length < 10) {
                    plota2.labels.push('');
                    lineEquipamento.data.push(0)
                }

                while (lineOcorrencia.data.length < 10) {
                    plota3.labels.push('');
                    lineOcorrencia.data.push(0)
                }

                $scope.plotaChart(plota1);
                $scope.plotaChart(plota2);
                $scope.plotaChart(plota3);
            });
    }

    $scope.getResumoTempo = () => {
        var params = {
            IdConstrucao: $scope.construcao.Id
        }
        Relatorio.getResumoTempo(params,
            (data) => {
                var tempo = data.Instance[0];
                var plota1 = {
                    type: 'bar',
                    objName: 'bar-tempomanha',
                    titulo: 'Tempo de manhã',
                    showLegend: false,
                    showYAxes: true,
                    showXAxes: true,
                    labels: [],
                    dataSet: []
                };
        
                plota1.dataSet = [{
                    borderColor: [
                        'rgba(38, 49, 67, 0.9)',
                        'rgba(60, 118, 61, 0.9)',
                        'rgba(138, 109, 59, 0.9)',
                        'rgba(51, 122, 183, 0.9)',
                    ],
                    backgroundColor: [
                        'rgba(38, 49, 67, 0.9)',
                        'rgba(60, 118, 61, 0.9)',
                        'rgba(138, 109, 59, 0.9)',
                        'rgba(51, 122, 183, 0.9)',
                    ],
                    // borderWidth: 0.5,
                    data: [
                        tempo.ManhaSol,
                        tempo.ManhaNublado,
                        tempo.ManhaChuva,
                        tempo.ManhaImprat
                    ]
                }];
    
                plota1.labels = [
                    'SOL',
                    'NUBLADO',
                    'CHUVA',
                    'IMPRATICÁVEL'
                ];
    
                $scope.plotaChart(plota1);

                var plota2 = {
                    type: 'bar',
                    objName: 'bar-tempotarde',
                    titulo: 'Tempo de tarde',
                    showLegend: false,
                    showYAxes: true,
                    showXAxes: true,
                    labels: [],
                    dataSet: []
                };
        
                plota2.dataSet = [{
                    borderColor: [
                        'rgba(38, 49, 67, 0.9)',
                        'rgba(60, 118, 61, 0.9)',
                        'rgba(138, 109, 59, 0.9)',
                        'rgba(51, 122, 183, 0.9)',
                    ],
                    backgroundColor: [
                        'rgba(38, 49, 67, 0.9)',
                        'rgba(60, 118, 61, 0.9)',
                        'rgba(138, 109, 59, 0.9)',
                        'rgba(51, 122, 183, 0.9)',
                    ],
                    // borderWidth: 0.5,
                    data: [
                        tempo.TardeSol,
                        tempo.TardeNublado,
                        tempo.TardeChuva,
                        tempo.TardeImprat
                    ]
                }];
    
                plota2.labels = [
                    'SOL',
                    'NUBLADO',
                    'CHUVA',
                    'IMPRATICÁVEL'
                ];

                $scope.plotaChart(plota2);
            });
    }

    $scope.getMedicaoEtapa = () => {
    
        Material.getMedicoesFisicas($scope.construcao.Id, $scope.paginacao, (data) => {
            $scope.retornoMedicao = true;
            var listaMedicao = [];

            $scope.showDashboar.Medicao = data.Instance.length > 0

            $scope.listaEtapa.forEach(e => {
                e.Medido = 0;
                data.Instance.filter(m => m.IdEtapa == e.IdEtapa).forEach(m => {
                    e.Medido += m.PercentualEtapa;
                })
                listaMedicao.push(e);
            })

            var lineOrcado = {
                label: 'Orçado',
                borderColor: 'rgba(38, 49, 67, 0.9)',
                backgroundColor: 'rgba(38, 49, 67, 0.9)',
                data: [],
            }
            var lineMedicao = {
                label: 'Medido',
                borderColor: 'rgba(250,162,0,0.9)',
                backgroundColor: 'rgba(250,162,0,0.9)',
                data: []
            }
            
            var plota = {
                type: 'horizontalBar',
                objName: 'bar-medicaoetapa',
                titulo: 'Medição por etapa',
                showLegend: true,
                showYAxes: true,
                showXAxes: true,
                // stackedBar: true,
                labels: [],
                dataSet:[lineOrcado,lineMedicao]
            };

            listaMedicao.forEach(l => {
                plota.labels.push(l.Etapa);//.substring(0,10) + (l.Etapa.length >10 ? '...' : '' ));
                lineOrcado.data.push(l.ValorBDIEncargos);
                lineMedicao.data.push(l.ValorBDIEncargos*(l.Medido.toFixed(0)/100));
                // lineOrcado.data.push(100);
                // lineMedicao.data.push(l.Medido.toFixed(0));
            });

            while (lineMedicao.data.length < 10) {
                plota.labels.push('');
                lineMedicao.data.push(0)
                lineOrcado.data.push(0);
            }

            $scope.plotaChart(plota);
        });
    }

    $scope.getCurvaAbcFornecedor = () => {
        var lineFornecedor = {
            label: 'Fornecedor',
            borderColor: 'rgba(220,0,0,0.9)',
            backgroundColor: 'rgba(220,0,0,0.9)',
            data: [],
        }

        var plota = {
            type: 'horizontalBar',
            objName: 'bar-fornecedor',
            titulo: 'Custo por fornecedor',
            showLegend: false,
            showYAxes: true,
            showXAxes: true,
            labels: [],
            dataSet: [lineFornecedor]
        };

        Relatorio.getCurvaAbcFornecedor({IdConstrucao: $scope.construcao.Id},
            (data) => {
                data.Instance.forEach(l => {
                    plota.labels.push(l.Nome.substring(0,15) + (l.Nome.length >15 ? '...' : '' ));
                    lineFornecedor.data.push(l.Valor);
                })

                while (lineFornecedor.data.length < 10) {
                    plota.labels.push('');
                    lineFornecedor.data.push(0)
                }

                $scope.plotaChart(plota);
            });

    }

  }]);
